{% extends 'catalog/base.html' %}

{% block content %}


    <h1><strong>Name:</strong> {{ author.first_name }} {{ author.last_name}}</h1>
    <br>
    <h4>{{ author.date_of_birth }}</h4>

    <div style="margin-left:20px;margin-top:20px">
        <h4>Books</h4>

        {% for book in author.book_set.all %}
        <hr>
            <p><a href="{% url 'book_detail' pk=book.pk%}">{{ book.title }}({{ book.bookinstance_set.count }})</a>
                <br> {{ book.summary }}
                <br>
                {% if user.is_staff %}
                    <a class="btn btn-info" href="{% url 'book_update' pk=book.pk %}">Update</a>
                    <a class="btn btn-danger" href="{% url 'book_delete' pk=book.pk %}">Delete</a>
                {% endif %}
            </p>
        {% endfor %}

    </div>

{% endblock %}